import request from '@/utils/request'

//增加项目
export function addProject(data) {
    return request({
        url: '/project/addProject',
        method: 'post',
        data: data
    })
}
//修改某项目
export function updateProject(data) {
    return request({
        url: '/project/updateProject',
        method: 'post',
        data: data
    })
}

//删除某项目
export function deleteProject(data) {
    return request({
        url: '/project/deleteProject',
        method: 'post',
        data: data
    })
}

//获得某条项目记录
export function getProjectById(data) {
    return request({
        url: '/project/getProjectById',
        method: 'post',
        data: data
    })
}

////获得全部数据
export function getProjectList(data) {
    return request({
        url: '/project/getProjectList',
        method: 'post',
        data: data
    })
}

//获得分页数据
export function getProjectPageList(data) {
    return request({
        url: '/project/getProjectPageList',
        method: 'post',
        data: data
    })
}
